package java.applet;

import java.util.Iterator;
import java.io.IOException;
import java.io.InputStream;
import java.util.Enumeration;
import java.awt.Image;
import java.net.URL;

public interface AppletContext
{
    public abstract AudioClip getAudioClip(URL p0);
    
    public abstract Image getImage(URL p0);
    
    public abstract Applet getApplet(String p0);
    
    public abstract Enumeration<Applet> getApplets();
    
    public abstract void showDocument(URL p0);
    
    public abstract void showDocument(URL p0, String p1);
    
    public abstract void showStatus(String p0);
    
    public abstract void setStream(String p0, InputStream p1) throws IOException;
    
    public abstract InputStream getStream(String p0);
    
    public abstract Iterator<String> getStreamKeys();
}
